# SPDX-License-Identifier: MIT
Version:   20161102
Release:   7%{?dist}
URL:       http://www.greekfontsociety-gfs.gr/typefaces/20th_21st_century

%global foundry           GFS
%global fontlicense       OFL
%global fontlicenses      OFL.txt
%global fontdocs          *.txt
%global fontdocsex        %{fontlicenses}

%global fontfamily        Orpheus
%global fontsummary       GFS Orpheus, a 21st century Greek font family
%global fonts             *.otf
%global fontconfngs       %{SOURCE1}
%global fontdescription   %{expand:
GFS Orpheus is a variation of GFS Orpheus Classic. It was based on the text
found in a school textbook entitled Στοιχειώδης Φυσική Ιστορία, published by
the publisher Anestis Konstantinidis in Athens on 1887. The x-height is shorter
(longer descenders), while the uppercase characters and the numbers were
designed from scratch, following more closely the style of the lowercase
characters.

GFS Orpheus was designed by George Triantafyllakos.}

%fontpkg
%docpkg

%sourcelist
%global archivename %{lua:t=string.gsub(rpm.expand("%{foundry} %{fontfamily}"), "[%p%s]+", "_");print(t)}
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archivename}.zip
60-%{fontname}.xml

%prep
%setup -q -c -T
unzip -j -q  %{SOURCE0}
%linuxtext *.txt

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%files doc
%defattr(644, root, root, 0755)
%license OFL.txt
%doc *.pdf

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-7
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-6
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-5
🐞 Workaround Fedora problems created by rpm commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-4
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-3
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-1
✅ Initial packaging
